Check statement status
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/statements/{statementId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/statements/{statementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/statements/{statementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "FOUND",
"data": {
"statementId": "8917c345-4791-4285-a416-62f24b6982db",
"status": "COMPLETED",
"wallet": {
"currency": "ZMW",
"country": "ZMB",
"provider": "MTN_MOMO_ZMB"
},
"created": "2020-10-19T08:17:01Z",
"startDate": "2025-05-10T10:00:00",
"endDate": "2025-05-11T10:00:00",
"fileSIze": 1234567,
"downloadUrl": "https://pawapay.io/downloadUrl",
"downloadUrlExpiresAt": "2020-10-20T08:17:01Z",
"completedAt": "2020-10-19T08:17:01Z"
}
}Finances
Check statement status
GET
/
v2
/
statements
/
{statementId}
Check statement status
Get the current status of the statement based on its
statementIdAuthorizations
See Authentication.
Was this page helpful?
⌘I